
/******************************************************************************/
/* GLOBAL */
/******************************************************************************/

* {
  margin: 0;
  padding: 0;
}

html {
  background: url('/img/font.png') no-repeat center fixed;
  background-size: cover;
  height: 100%;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  color: white;
  font-family: verdana;
  height: 100vh;
}

body a {
  color: white;
  text-decoration: none;
}

body a:hover {
  color: #C1C1C1;
}

header {
  z-index: 10;
  background-color: rgba(27, 27, 27, 0.8);
  position: fixed;
  width: 100%;
  height: 70px;
  top: 0;
  left: 0;
}

footer {
  z-index: 10;
  background-color: rgba(27, 27, 27, 0.8);
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 50px;
}

input:focus {
	outline:none;
}

button:focus {
	outline:none;
}

video {
  outline: none;
}

select {
  -webkit-appearance: none;
  -webkit-border-radius: 0px;
}

select:focus {
  outline: none;
}

option {
  background-color: rgba(0, 0, 0, 0.9);
}

/******************************************************************************/
/* HEADER */
/******************************************************************************/

.global-header {
  display: flex;
  width: 100%;
  height: 70px;
}

.site-name {
  margin-left: 2%;
  margin-right: 2%;
  margin-top: auto;
  margin-bottom: auto;
  width: auto;
}

.site-name-mobile {
  display: none;
}

.first-letter {
  color: orange;
}

.logout-btn {
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 2%;
  font-size: 2em;
  cursor: pointer;
}

.profile-btn {
  margin-top: auto;
  margin-bottom: auto;
  margin-left: auto;
  margin-right: 0.7%;
  font-size: 2em;
  cursor: pointer;
}

.settings-btn {
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 0.7%;
  font-size: 2em;
  cursor: pointer;
}

.search-bar {
  margin-top: auto;
  margin-bottom: auto;
  width: 400px;
}

.search-bar form input {
  color: white;
  border: none;
}

.text-search {
  padding-left: 10px;
  height: 40px;
  background-color: rgba(0, 0, 0, 0.4);
  width: 90%;
  border-bottom: solid 1px orange !important;
}

.btn-search {
  z-index: 3;
  width: 24px;
  height: 24px;
  cursor: pointer;
  background-color: rgba(0, 0, 0, 0);
  position: absolute;
  margin-left: -40px;
  margin-top: 8px;
}

.btn-search-i {
  z-index: 1;
  font-size: 1.5em;
  position: absolute;
  margin-left: -40px;
  margin-top: 8px;
}

@media screen and (max-width: 650px) {

  .site-name {
    display: none;
  }

  .site-name-mobile {
    display: block !important;
    margin-left: 2%;
    margin-right: 2%;
    margin-top: auto;
    margin-bottom: auto;
    width: auto;
  }

}

/******************************************************************************/
/* HOME */
/******************************************************************************/

.movie-view {
  opacity: 0.5 !important;
}

.movie-view:hover {
  opacity: 0.7 !important;
}

.movie-view-text {
  font-size: 0.5em;
  color: orange;
  font-style: italic;
}

/******************************************************************************/
/* FOOTER */
/******************************************************************************/

.global-footer {
  display: flex;
  width: 100%;
  height: 50px;
  color: grey;
  font-size: 0.8em;
}

.copyright {
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 10px;
}

/******************************************************************************/
/* 404 */
/******************************************************************************/

.content-404 {
  display: flex;
  width: 100%;
  height: 100vh;
  flex-wrap: nowrap;
}

.position-404 {
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 10%;
}

.msg-404 {
  font-size: 2em;
}

.msg-404 span {
  font-size: 3em;
}

.return-home {
  color: grey;
}

/******************************************************************************/
/* ERROR */
/******************************************************************************/

.error {
  width: 100%;
  color: red;
  font-size: 0.9em;
  margin-top: 10px;
  margin-bottom: 10px;
}

.confirm {
  width: 100%;
  color: green;
  font-size: 0.9em;
  margin-top: 10px;
  margin-bottom: 10px;
}
